Subject: Re: bug#58790: Eglot URI parsing bug when using clojure-lsp server

From: Danny Freeman <[email-masked]>
Date: Tue, 15 Nov 2022 17:28:54 -0500

Michael Albinus <[email-masked]> writes:

> Another approach is to simply require url-handlers in eglot.el, when it
> comes to handle a URI. It shall do what you want.
>
> (Untested, I haven't used url-handlers for a while).

That is a really interesting idea. I didn't know about the url-handlers
package. I think we would want the user to turn on that mode themselves
if they were expecting those types of URLs (http, ftp, etc). 

There are other URI schemes we have seen come through this function that
are outside the scope of the url-handlers package. The ones in this
particular thread are `jar` and `zipfile` URIs. I've seen other obscure
URIs as well that aren't really even standardized and only used by one
particular LSP server.

-- 
Danny Freeman